# https://archive.xfce.org/src/apps/xfce4-terminal/0.8/xfce4-terminal-0.8.7.1.tar.bz2

Name:           xfce4-terminal
Version:        0.8.7.2
Release:        %mkrel 1
Summary:        X terminal emulator for Xfce desktop environment
Summary(de):    X Termianlemulator für Xfce

Group:          Terminals
License:        GPLv2+
URL:            https://www.xfce.org
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-root.desktop

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}vte3-devel
BuildRequires:  %{_lib}xfce4ui-devel
BuildRequires:  libpthread-stubs
BuildRequires:  wayland-protocols-devel
Requires:       ncurses-extraterms
Obsoletes:      %{name}-doc < %{version}-%{release}

%description
XFCE4-Terminal is a modern, lightweight, and low memory cost terminal
emulator with tabs and multiple windows for the Xfce desktop
environment. It offers full-customization for the key bindings,
the aspect, the colors, and more.

%description -l de
XFCE4-Terminal ist ein moderner, leichgewichtiger und wenig Speicher
verbrauchender Terminalemulator mit Tabs und mehreren Fenstern für 
Xfce. Sie können die Tastenbindungen, die Farbe und mehr an Ihre
persönlichen Bedürfnisse anpassen.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
%makeinstall_std
desktop-file-install --vendor=""\
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-System-Terminals" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/*
%__install -m 0644 %{S:1} %{buildroot}%{_desktopdir}
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog HACKING NEWS README THANKS
%{_bindir}/%{name}
%{_desktopdir}/%{name}*.desktop
%{_datadir}/gnome-control-center/default-apps/%{name}-default-apps.xml
%{_mandir}/man1/%{name}.1.bz2
%dir %{_datadir}/xfce4
%{_datadir}/xfce4/terminal

%changelog
* Sat Mar 24 2018 ghostbunny <ghostbunny at gmx dot de> 0.8.7.2-1pclos2018
- 0.8.7.2

* Thu Mar 08 2018 marcin82 <fixxer1982 at gmail.com> 0.8.7.1-1pclos2018
- update, obsoleted %{name}-doc

* Fri Jul 28 2017 ghostbunny <ghostbunny at gmx dot de> 0.8.6-1pclos2017
- 0.8.6

* Sat Feb 11 2017 ghostbunny <ghostbunny at gmx dot de> 0.8.4-1pclos2017
- 0.8.4

* Thu Dec 29 2016 ghostbunny <ghostbunny at gmx dot de> 0.8.1-2pclos2017
- add missing Requires ncurses-extraterms

* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.8.1-1pclos2017
- 0.8.1
- add BR wayland-protocols-devel
- update lib64vte-devel to lib64vte3-devel
- update gtk dependency to gtk3

* Fri Apr 15 2016 ghostbunny <ghostbunny at gmx dot de> 0.6.3-5pclos2016
- update root desktop file translations (thanks to Ika)

* Tue Mar 03 2015 ghostbunny <ghostbunny at gmx dot de> 0.6.3-4pclos2015
- rebuild against new libxfce4util

* Sat Jan 17 2015 ghostbunny <ghostbunny at gmx dot de> 0.6.3-3pclos2015
- add a Root terminal menu entry

* Fri Jan 03 2014 bb <bb> 0.6.3-2pclos2014
- adjust BR
- change rpmgroup Documention for doc package
- drop update-menus clean-menus postscripts

* Fri Dec 27 2013 ghostbunny <ghostbunny at gmx dot de> 0.6.3-1pclos2013
- 0.6.3
- fix BRs
- just use autogen.sh instead of configure (with configure the package does not build)

* Mon May 06 2013 ghostbunny <ghostbunny at gmx dot de> 0.6.2-1pclos2013
- 0.6.2

* Sun Jan 13 2013 ghostbunny <ghostbunny at gmx dot de> 0.6.1-1pclos2013
- 0.6.1
- renamed package and spec because of authors renamed the program from Terminal to xfce4-terminal
- fixed name change related problems
- added BR %{_lib}xfce4ui-devel

* Mon Oct 15 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.8-4pclos2012
- deleted misplaced remove of .la/.a files in postun section

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.4.8-3pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.4.8-3pclos2012
- process

* Tue Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 0.4.8-3pclos2012
- rebuild against new exo and libxfce4util
- added german summaries and descriptions
- fixed english summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- set exo to 0.8

* Wed Jan 18 2012 Neal <nealbrks0 at gmail.com> 0.4.8.-2pclos2012
- set exo require to 0.7

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.4.8.-2pclos2012
- rebuilt

* Thu Jul 07 2011 Texstar <texstar at gmail.com> 0.4.8-1pclos2011
- 0.4.8

* Thu Mar 03 2011 Texstar <texstar at gmail.com> 0.4.6-2pclos2011
- remove patch2 to fix scroll bar

* Mon Feb 28 2011 Sproggy <desproggster@gmail.com> 0.4.6-1pclos2010
- update 0.4.6

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 0.4.5-2pclos2010
- updated for xfce4.8

* Sun Nov 07 2010 Sproggy <desproggster@gmail.com> 0.4.5-1pclos2010
- rebuild for Xfce4.8pre1
